"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _mintUiColors = require("mint-ui-colors");
var _reactNative = require("react-native");
var _fonts = require("../styles/fonts");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/**
 * only used internally for this library
 * do NOT export this component to outside
 */
const BaseText = _ref => {
  let {
    color = _mintUiColors.BaseColors.black,
    font = 'regular',
    size = 14,
    textAlign,
    style,
    ...props
  } = _ref;
  const textStyle = _reactNative.StyleSheet.flatten([{
    color,
    textAlign,
    fontFamily: _fonts.FontFamily[font],
    fontSize: size
  }, style]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.Text, _extends({
    style: textStyle
  }, props));
};
var _default = /*#__PURE__*/_react.default.memo(BaseText);
exports.default = _default;
//# sourceMappingURL=BaseText.js.map