"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FontSize = exports.FontFamily = void 0;
var _sizes = require("./sizes");
const FontFamily = {
  regular: 'AvenirNextLTPro-Regular',
  medium: 'AvenirNextLTPro-Medium',
  demi: 'AvenirNextLTPro-Demi',
  bold: 'AvenirNextLTPro-Bold',
  italic: 'AvenirNextLTPro-It'
};
exports.FontFamily = FontFamily;
const FontSize = {
  body12: (0, _sizes.wScale)(12, 1),
  body14: (0, _sizes.wScale)(14, 1),
  subtitle16: (0, _sizes.wScale)(16, 1),
  headline20: (0, _sizes.wScale)(20, 1),
  headline24: (0, _sizes.wScale)(24, 0.9)
};
exports.FontSize = FontSize;
//# sourceMappingURL=fonts.js.map